[SA14092] Newspost "socket_getline()" Buffer Overflow Vulnerability

2005-02-02T00:00:00
ID SECURITYVULNS:DOC:7732
Type securityvulns
Reporter Securityvulns
Modified 2005-02-02T00:00:00

Description

TITLE: Newspost "socket_getline()" Buffer Overflow Vulnerability

SECUNIA ADVISORY ID: SA14092

VERIFY ADVISORY: http://secunia.com/advisories/14092/

CRITICAL: Less critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: Newspost 2.x http://secunia.com/product/4589/

DESCRIPTION: Niels Heinen has reported a vulnerability in Newspost, which can be exploited by malicious people to compromise a user's system.

The vulnerability is caused due to a boundary error in the function "socket_getline()" in "socket.c". This can be exploited by a malicious NNTP server to cause a buffer overflow by sending a specially crafted overly long respond.

Successful exploitation can lead to execution of arbitrary code.

The vulnerability has been reported in version 2.1.1 and prior.

SOLUTION: Don't use untrusted NNTP servers.

PROVIDED AND/OR DISCOVERED BY: Niels Heinen

ORIGINAL ADVISORY: http://people.freebsd.org/~niels/issues/newspost-20050114.txt


About: This Advisory was delivered by Secunia as a free service to help everybody keeping their systems up to date against the latest vulnerabilities.

Subscribe: http://secunia.com/secunia_security_advisories/

Definitions: (Criticality, Where etc.) http://secunia.com/about_secunia_advisories/

Please Note: Secunia recommends that you verify all advisories you receive by clicking the link. Secunia NEVER sends attached files with advisories. Secunia does not advise people to install third party patches, only use those supplied by the vendor.